import 'package:clean/dialog/photo_delete_finish_dialog.dart';
import 'package:clean/resource/assets.gen.dart';
import 'package:clean/resource/colors.gen.dart';
import 'package:flutter/Material.dart';
import 'package:flutter/cupertino.dart';
import 'package:flutter_screenutil/flutter_screenutil.dart';
import 'package:flutter_smart_dialog/flutter_smart_dialog.dart';
import 'package:lottie/lottie.dart';

void photoDeletingDialog() {
  const tag = 'photoDeletingDialog';

  SmartDialog.show(
      tag: tag,
      backType: SmartBackType.block,
      clickMaskDismiss: false,
      maskColor: ColorName.black,
      builder: (_) {
        return Container(
          height: double.infinity,
          width: double.infinity,
          child: Stack(
            children: [
              Positioned(
                top: 100.h,
                left: 0,
                right: 0,
                child: Column(
                  children: [
                    Lottie.asset(
                      Assets.anim.animDeleting,
                      height: 300.w,
                      repeat: true,
                    ),
                    // Assets.images.iconPhotoDeleting
                    //     .image(width: 273.w, height: 220.h),
                    // SizedBox(height: 45.h),
                    Text(
                      'Deleting...',
                      style: TextStyle(
                        color: ColorName.white,
                        fontSize: 16.sp,
                        fontWeight: FontWeight.w500,
                      ),
                    ),
                  ],
                ),
              ),
              IgnorePointer(
                child: Assets.images.bgHome.image(
                  width: 360.w,

                ),
              ),
            ],
          ),
        );
      });
}